#ifndef OPERATING_SYSTEM_H
#define OPERATING_SYSTEM_H
#include "Object.h"
#include "FloppyDisk.h"

/* shOperatingSystem values are stored in computer enhancement member */
enum shOperatingSystem {
    kNoSys = -5,         /* computer inoperable */
    kAbysmalSys     = -4,
    kTerribleSys    = -3,
    kBadSys         = -2,
    kPoorSys        = -1,
    kAverageSys     =  0,
    kFineSys        = +1,
    kGoodSys        = +2,
    kExcellentSys   = +3,
    kSuperbSys      = +4,
    kUniqueSys      = +5
};

int systemHackingModifier(int sys);
int systemSupportsInterface (int sys, shCompInterface);
int hasSystem (shObject *computer);
int systemRunPOST (shObject *computer); /* Power-On Self Test */
int systemCheckDisk (shObject *computer, shObject *disk);
int isUpdateTime (int sys);
void systemUpdateMessage (void);
void resetUpdatePeriod (void);

#endif
